from django.db import models
from django.contrib.auth.models import User

from workshop.reg.models import Event

class FeedBack(models.Model):
    """ A table to hold the feedbacks.
    """

    user = models.ForeignKey(User)
    event = models.ForeignKey(Event)

    range_of_topics = models.CharField(max_length=1, choices=TOPICS_CHOICES,
                                       verbose_name="Range of topics covered", blank=True)
    depth_of_coverage = models.CharField(max_length=1, choices=DEPTH_CHOICES, blank=True)
    effectiveness_of_methodology = models.CharField(max_length=1, choices=METHODOLOGY_CHOICES, blank=True)
    pace_of_coverage = models.CharField(max_length=1, choices=PACE_CHOICES, blank=True)
    applicability = models.CharField(max_length=1, choices=APPLICABILITY_CHOICES, blank=True)
    choice_of_problems = models.CharField(max_length=1, choices=TOPICS_RANGE_CHOICES, blank=True)
    chocice_of_exercises = models.CharField(max_length=1, choices=TOPICS_RANGE_CHOICES, blank=True)
    comments = models.TextField(verbose_name="General comments", blank=True)

    is_filled = models.BooleanField(default=True)
